

ENT.Type = "anim"

ENT.PrintName		= "Hover Ball"
ENT.Author			= ""
ENT.Contact			= ""
ENT.Purpose			= ""
ENT.Instructions	= ""


function ENT:GetTargetZ()
	return self.Entity:GetNetworkedInt( 0 )
end

function ENT:SetTargetZ( z )
	return self.Entity:SetNetworkedInt( 0, z )
end


function ENT:GetSpeed()

	// Sensible limits
	if (!SinglePlayer()) then
		return mathx.Clamp( self.Entity:GetNetworkedFloat( 0 ), 0, 10 )
	end

	return self.Entity:GetNetworkedFloat( 0 )
end

function ENT:SetSpeed( s )
	return self.Entity:SetNetworkedFloat( 0, s )
end
